ChangeHistoryResource

Reads the change history.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class ChangeHistoryResource

Reads the change history. Get it from SlimResource.changeHistory().

Methods

list

public Page<JsonNode> list(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException

Lists change history entries (GET /v1/slim/change-history).

Parameters:

  • query: query parameters; a types list is sent as types[]
  • options: per-request options, such as the timeout

Returns: the first page; iterating it loads the next pages

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page